import * as React from 'react';
import { createStackNavigator } from "react-navigation-stack";
import { createAppContainer } from "react-navigation";
import About from '../screens/about'
import Gallery from '../screens/gallery'
import Header from '../shared/header';

const screens = {
    About: {
        screen: About,
        navigationOptions: ({navigation}) => {
            return {
                headerTitle: () => <Header navigation={navigation}/>,
            }
        }
    },
    Gallery: {
        screen: Gallery,
        navigationOptions: ({navigation}) => {
            return {
                headerTitle: () => <Header navigation={navigation}/>,
            }
        }
    },
    Calendar: {
        screen: Calendar,
        navigationOptions: ({navigation}) => {
            return {
                headerTitle: () => <Header navigation={navigation}/>,
            }
        }
    },
}

const HomeStack = createStackNavigator(screens);

export default createAppContainer(HomeStack);