import { createDrawerNavigator } from "react-navigation-drawer";
import { createAppContainer } from "react-navigation";

import HomeStack from './homeStack';
import About from './screens/about';

const RootDrawerNavigator = createDrawerNavigator ({
    Home: {
        screen: HomeStack,
    },
    About: {
        screen: About,
    }
})

export default createAppContainer(RootDrawerNavigator);